%define major 1
%define libname %mklibname digidocpp %major
%define develname %mklibname digidocpp -d

Name:		libdigidocpp
Version:	3.13.2
Release:	%mkrel 1
Summary:	Library for creating and validating BDoc and DDoc containers

Group:		System/Libraries
License:	LGPLv2
URL:		http://id.eesti.ee
Source:		http://archive.esteid.org/%{version}/%{name}-%{version}.tar.gz
Patch1:		libdigidocpp-3.11.0.1296-pthread.patch

BuildRequires:	cmake
BuildRequires:	esteidcerts
BuildRequires:	pkgconfig(libdigidoc)
BuildRequires:	vim-common
BuildRequires:	xml-security-c-devel
BuildRequires:	xsd-devel

Requires:	%{_lib}digidoc2
Requires:	esteidcerts

%description
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %libname
Group:		System/Libraries
Summary:	Library for creating and validating bdoc and ddoc containers
Requires:	%{name} >= %{version}-%{release}

%description	-n %libname
libdigidocpp is a C++ library for reading, validating, and creating BDoc and
DDoc containers. These file formats are widespread in Estonia where they are
used for storing legally binding digital signatures.


%package	-n %develname
Summary:	Development files for %{name}
Group:		Development/C++
Requires:	%{libname} = %{version}-%{release}
Requires:	libdigidoc-devel
Requires:	libp11-devel
Requires:	openssl-devel
Requires:	xml-security-c-devel
Requires:	xsd-devel
Provides:	%{name}-devel = %{version}-%{release}

%description	-n %develname
This package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -n %{name}-%{version}
%autopatch -p1


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake} -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir} -DCERTS_LOCATION="%{_datadir}/esteid/certs" ../..
popd

%make -C %{_target_platform}/build


%install
%makeinstall_std -C %{_target_platform}/build


%files
%doc README.md CONTRIBUTING.md RELEASE-NOTES.md
%dir %{_sysconfdir}/digidocpp/
%config %{_sysconfdir}/digidocpp/digidocpp.conf
%{_sysconfdir}/digidocpp/878252.p12
%{_sysconfdir}/digidocpp/schema/
%{_bindir}/digidoc-*
%{_mandir}/man1/digidoc-tool.1.*

%files -n %libname
%{_libdir}/*.so.%{major}
%{_libdir}/*.so.%{version}

%files -n %develname
%{_includedir}/digidocpp/
%{_libdir}/pkgconfig/lib*.pc
%{_libdir}/*.so


%changelog
* Wed Oct 25 2017 sander85 <sander85> 3.13.2-1.mga6
+ Revision: 1173583
- New version: 3.13.2

* Mon Dec 19 2016 sander85 <sander85> 3.12.2-1.mga6
+ Revision: 1076123
- New version: 3.12.2

* Tue May 03 2016 sander85 <sander85> 3.12.1-1.mga6
+ Revision: 1008948
- BR vim-common
- New version: 3.12.1

* Wed Mar 02 2016 umeabot <umeabot> 3.11.1-2.mga6
+ Revision: 983566
- Rebuild for openssl

* Mon Jan 11 2016 neoclust <neoclust> 3.11.1-1.mga6
+ Revision: 921582
- New upstream release

* Thu Aug 27 2015 cjw <cjw> 3.11.0-2.mga6
+ Revision: 870178
- patch1: fix build
- do not use autosetup since it fails to apply the patch
- rebuild with gcc 5

* Sat Aug 15 2015 sander85 <sander85> 3.11.0-1.mga6
+ Revision: 864912
- New version: 3.11.0

* Fri Jun 26 2015 sander85 <sander85> 3.10.0-1.mga6
+ Revision: 845347
- New version: 3.10.0

* Sun Oct 26 2014 sander85 <sander85> 3.9.0-4.mga5
+ Revision: 793483
- Rebuild for new libdigidoc

* Wed Oct 15 2014 umeabot <umeabot> 3.9.0-3.mga5
+ Revision: 749329
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.9.0-2.mga5
+ Revision: 681409
- Mageia 5 Mass Rebuild

  + sander85 <sander85>
    - Convert to %%autosetup

* Mon Jul 07 2014 sander85 <sander85> 3.9.0-1.mga5
+ Revision: 650467
- New version: 3.9.0
- Proper fix for unneeded certs

* Wed Feb 05 2014 sander85 <sander85> 3.8.0-1.mga5
+ Revision: 583370
- New version: 3.8.0

* Sat Oct 19 2013 umeabot <umeabot> 3.7.2-2.mga4
+ Revision: 533352
- Mageia 4 Mass Rebuild

* Wed Aug 28 2013 sander85 <sander85> 3.7.2-1.mga4
+ Revision: 472635
- New version: 3.7.2

* Tue Jun 18 2013 sander85 <sander85> 3.7.1-2.mga4
+ Revision: 444712
- Rebuild for new xml-security-c

* Sun Jun 02 2013 sander85 <sander85> 3.7.1-1.mga4
+ Revision: 435397
- New version: 3.7.1

* Sat Jan 12 2013 umeabot <umeabot> 3.6.0.0-3.mga3
+ Revision: 356976
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Sep 18 2012 sander85 <sander85> 3.6.0.0-2.mga3
+ Revision: 295988
- Fix cmake sysconfdir

* Mon Sep 17 2012 sander85 <sander85> 3.6.0.0-1.mga3
+ Revision: 295432
- New version: 3.6.0.0

* Sat Jul 21 2012 sander85 <sander85> 3.5.1-1.mga3
+ Revision: 273185
- new version: 3.5.1

* Sun Jan 08 2012 sander85 <sander85> 3.5.0-1.mga2
+ Revision: 193310
- new version: 3.5.0
- rebuild for new libp11

* Sat Apr 23 2011 sander85 <sander85> 3.1.0-1.mga1
+ Revision: 89918
- imported package libdigidocpp

